Subject: Re: [PATCH] git-new-workdir: Don't fail if the target directory is empty

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Nov 2014 12:58:28 -0800

Paul Smith <[email-masked]> writes:

> I can't find a clear statement that both are required and that "ls -a"
> must show them.  I've used a wide range of UNIX-en and filesystems for
> 30 years or so and never seen one that didn't provide them.  It seems
> like it would break quite a few scripts, at least.  Even virtual
> filesystems like ClearCase's MVFS provide "." and "..".
>
> If you want to allow for this possibility I can do so but it would be a
> bit crufty.  Personally I think it would be overkill but you're the
> boss: let me know :-).

Doesn't the description of the -A option I quoted upthread hint a
simpler and clearer solution?  I.e. "test $(ls -A | wc -l) = 0"?